Package Gnumed :: Package CherryPy :: Module gmGuiHelpersWeb |
[frames] | no frames]

# Module gmGuiHelpersWeb

source code

GNUmed GUI helper classes and functions.

This module provides some convenient wxPython GUI helper thingies that are widely used throughout GNUmed.

Version: $Revision: 1.106 $

Author: K. Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| c2ButtonQuestionDlg
| c3ButtonQuestionDlg
| cMultilineTextEntryDlg Editor for a bit of text.
| cGreetingEditorDlg
| cTreeExpansionHistoryMixin TreeCtrl mixin class to record expansion history.
| cFileDropTarget Generic file drop target class.

Functions
gm_show_error(aMessage=None, aTitle=None) | source code
gm_show_info(aMessage=None, aTitle=None) | source code
gm_show_warning(aMessage=None, aTitle=None) | source code
gm_show_question(aMessage=`'``programmer forgot to specify question``'`, aTitle=`'``generic user question dialog``'`, cancel_button=False) | source code
makePageTitle(wizPg, title) Utility function to create the main sizer of a wizard's page. | source code

Variables
| __package__ = ``'``Gnumed.CherryPy``'``

Imports: os, wx, gmPraxis, wxg3ButtonQuestionDlg, wxg2ButtonQuestionDlg, wxgGreetingEditorDlg, wxgMultilineTextEntryDlg

Function Details

### makePageTitle(wizPg, title) | source code
Utility function to create the main sizer of a wizard's page. @param wizPg The wizard page widget @type wizPg A wx.WizardPageSimple instance @param title The wizard page's descriptive title @type title A StringType instance